List Merchants
curl --request GET \
--url https://api-pacb-uat.eximpe.com/partners/merchants/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/partners/merchants/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/partners/merchants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/partners/merchants/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/partners/merchants/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/partners/merchants/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/partners/merchants/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Sub-merchants retrieved successfully",
"data": {
"count": 4,
"page": 1,
"page_size": 250,
"next": null,
"previous": null,
"results": [
{
"id": "3604346598",
"brand_name": "InnovateTech Solutions",
"kyc_status": "APPROVED",
"created_date": "2024-11-19T18:06:05.523720Z"
},
{
"id": "8319446548",
"brand_name": "DigitalCraft Enterprises",
"kyc_status": "PENDING",
"created_date": "2024-11-19T17:43:25.467834Z"
},
{
"id": "2343915596",
"brand_name": "CloudSync Technologies",
"kyc_status": "APPROVED",
"created_date": "2024-11-19T16:43:53.317062Z"
},
{
"id": "4455704961",
"brand_name": "NextGen Software Ltd",
"kyc_status": "PENDING",
"created_date": "2024-11-19T08:53:22.411374Z"
}
]
}
}{
"success": false,
"error": {
"code": "ERR_AUTH_000",
"message": "Missing credentials",
"details": {
"authentication": "Missing credentials."
}
}
}Merchant
List Merchants
Retrieve a list of merchants with pagination.
GET
/
partners
/
merchants
/
List Merchants
curl --request GET \
--url https://api-pacb-uat.eximpe.com/partners/merchants/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/partners/merchants/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/partners/merchants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/partners/merchants/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/partners/merchants/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/partners/merchants/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/partners/merchants/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Sub-merchants retrieved successfully",
"data": {
"count": 4,
"page": 1,
"page_size": 250,
"next": null,
"previous": null,
"results": [
{
"id": "3604346598",
"brand_name": "InnovateTech Solutions",
"kyc_status": "APPROVED",
"created_date": "2024-11-19T18:06:05.523720Z"
},
{
"id": "8319446548",
"brand_name": "DigitalCraft Enterprises",
"kyc_status": "PENDING",
"created_date": "2024-11-19T17:43:25.467834Z"
},
{
"id": "2343915596",
"brand_name": "CloudSync Technologies",
"kyc_status": "APPROVED",
"created_date": "2024-11-19T16:43:53.317062Z"
},
{
"id": "4455704961",
"brand_name": "NextGen Software Ltd",
"kyc_status": "PENDING",
"created_date": "2024-11-19T08:53:22.411374Z"
}
]
}
}{
"success": false,
"error": {
"code": "ERR_AUTH_000",
"message": "Missing credentials",
"details": {
"authentication": "Missing credentials."
}
}
}Overview
Retrieve a paginated list of all sub-merchants under the authenticated PSP account.Request Parameters
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | integer | No | Page number (default: 1) |
| page_size | integer | No | Number of results per page (default: 10) |
| search | string | No | Search by brand name or legal name |
| ordering | string | No | Sort field. Prefix with - for descending. Options: created_at, last_updated_at |
Response
| Name | Type | Description |
|---|---|---|
| id | string | Unique merchant identifier |
| brand_name | string | Brand/trade name of the sub-merchant |
| kyc_status | string | Current KYC status (PENDING, IN_REVIEW, CHANGES_REQUESTED, APPROVED, REJECTED) |
| created_at | string | ISO 8601 timestamp of creation |
Response Example
{
"success": true,
"message": "Request processed successfully.",
"data": {
"count": 3,
"page": 1,
"page_size": 10,
"next": null,
"previous": null,
"results": [
{
"id": "6692437779",
"brand_name": "Acme",
"kyc_status": "PENDING",
"created_at": "2026-04-28T07:54:33.468589Z"
},
{
"id": "6182929449",
"brand_name": "GlobalShop",
"kyc_status": "APPROVED",
"created_at": "2026-04-27T10:30:00.000000Z"
},
{
"id": "5813168537",
"brand_name": "Innovate",
"kyc_status": "CHANGES_REQUESTED",
"created_at": "2026-04-26T14:20:00.000000Z"
}
]
}
}
{
"success": true,
"message": "Request processed successfully.",
"data": {
"count": 0,
"page": 1,
"page_size": 10,
"next": null,
"previous": null,
"results": []
}
}